slepc-3.10.1 2018-10-23
Report Typos and Errors

# PEPLinearSetExplicitMatrix

Indicate if the matrices A and B for the linearization of the problem must be built explicitly.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPLinearSetExplicitMatrix(PEP pep,PetscBool explicitmatrix)

Logically Collective on PEP

### Input Parameters

| pep | - polynomial eigenvalue solver
| explicit | - boolean flag indicating if the matrices are built explicitly

### Options Database Key

| -pep_linear_explicitmatrix <boolean> | - Indicates the boolean flag

### See Also

PEPLinearGetExplicitMatrix()

Location: src/pep/impls/linear/linear.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages